{
    "doc": "Variant statistics for a set of variants.\nThe variants set can be contain a whole study, a cohort, a sample, a region, ...",
    "fields": [
        {
            "doc": "Number of variants in the variant set",
            "name": "variantCount",
            "type": "long"
        },
        {
            "doc": "Number of samples in the variant set",
            "name": "sampleCount",
            "type": "long"
        },
        {
            "doc": "The number of occurrences for each FILTER value in files from this set.\nEach file can contain more than one filter value (usually separated by ';').\n",
            "name": "filterCount",
            "type": {
                "type": "map",
                "values": "long"
            }
        },
        {
            "default": {},
            "doc": "Number of genotypes found for all samples in variants set",
            "name": "genotypeCount",
            "type": {
                "type": "map",
                "values": "long"
            }
        },
        {
            "doc": "Number of files in the variant set",
            "name": "filesCount",
            "type": "long"
        },
        {
            "doc": "TiTvRatio = num. transitions / num. transversions",
            "name": "tiTvRatio",
            "type": "float"
        },
        {
            "doc": "Mean Quality for all the variants with quality",
            "name": "qualityAvg",
            "type": "float"
        },
        {
            "doc": "Standard Deviation of the quality",
            "name": "qualityStdDev",
            "type": "float"
        },
        {
            "default": {},
            "doc": "Variants count group by type. e.g. SNP, INDEL, MNP, SNV, ...",
            "name": "typeCount",
            "type": {
                "type": "map",
                "values": "long"
            }
        },
        {
            "default": {},
            "doc": "Variants count group by biotype. e.g. protein-coding, miRNA, lncRNA, ...",
            "name": "biotypeCount",
            "type": {
                "type": "map",
                "values": "long"
            }
        },
        {
            "default": {},
            "doc": "Variants count group by consequence type. e.g. synonymous_variant, missense_variant, stop_lost, ...",
            "name": "consequenceTypeCount",
            "type": {
                "type": "map",
                "values": "long"
            }
        },
        {
            "default": {},
            "doc": "Number of variants per chromosome",
            "name": "chromosomeCount",
            "type": {
                "type": "map",
                "values": "long"
            }
        },
        {
            "default": {},
            "doc": "Total density of variants within the chromosome. counts / chromosome.length",
            "name": "chromosomeDensity",
            "type": {
                "type": "map",
                "values": "float"
            }
        }
    ],
    "name": "VariantSetStats",
    "namespace": "org.opencb.biodata.models.variant.metadata",
    "type": "record"
}